pub mod db;

pub const SLOP_VERSION: &str = env!("CARGO_PKG_VERSION");

#[derive(Clone)]
pub struct SlopState {
    pub conn: sea_orm::DatabaseConnection,
    pub nats_client: async_nats::Client,
}

// Constants
// Some of these may be moved to the db config at some point in the future
pub const MAX_FEATURED_TAGS: i64 = 4;
pub const CHARACTERS_RESERVED_PER_URL: i64 = 23;
pub const IMAGE_MATRIX_LIMIT: i64 = 999998000001;
pub const VIDEO_MATRIX_LIMIT: i64 = 999998000001;
pub const VIDEO_FRAME_RATE_LIMIT: i64 = 999998000001;
pub const POLLS_MAX_OPTIONS: i64 = 4;
pub const POLLS_MAX_CHARACTERS_PER_OPTION: i64 = 0;
pub const POLLS_MIN_EXPIRATION: i64 = 0;
pub const POLLS_MAX_EXPIRATION: i64 = 0;